Ecopath 35 years conference

Ecopath 6.6 – 32 bit

EwE version 6.6.16540.0 requires .NET framework 4.5 and relies on 64-bit Office drivers. This version is tested with Windows 7 and newer. It may run on Windows Vista but we cannot guarantee that

Ecopath 6.4.4 – 32 bit

Ecopath 6.4.3 – 32 bit

Ecopath 6.4.2 – 32 bit

Ecopath 6.4.1 – 32 bit

Ecopath 5.1 (2005)

Ecopath 6.5 – 32 bit (silent install)

Ecopath 6.5 – 32 bit